Subject: Re: pci issue - wrong detection of pci ressources

From: Christian Ehrhardt <[email-masked]>
Date: Tue, 22 Apr 2008 16:21:35 +0200

Sergei Shtylyov wrote:
> Hello.
> 
> Christian Ehrhardt wrote:
> 
[...]
> 
>> The Documentation of the 440EPx core lists these spaces:
>> PCI 1 Memory     1 8000 0000     1 BFFF FFFF     1GB
>> I/O              1 E800 0000     1 E800 FFFF     64KB
>> I/O              1 E880 0000     1 EBFF FFFF     56MB
> 
> Having 2 I/O spaces looks just wrong. Actually, PCs do well with only 
> 64K of I/O space.
> 

ok - I just wanted to be complete.
I removed the 56M section from the new dts file patch.

[...]

>> radeonfb: EDID probed
>> Parsing EDID data for panel info
>> Setting up default mode based on panel info
>> radeonfb (0000:00:0a.0): ATI Radeon Y`
> 
>    Hm, what's that Y`?

Thats the final message in the radeonfb driver ater initializing everything.
   printk ("radeonfb (%s): %s\n", pci_name(rinfo->pdev), rinfo->name);
I wonder why that rinfo->name is clobbered - maybe another issue, I have to keep that in mind.

[...]
> 
>    I think you'd better use Ben's patch that he's just posted:
> 
> http://patchwork.ozlabs.org/linuxppc/patch?id=18034
> 
> WBR, Sergei

yep - I use Ben's patch now which reduces my patch to the actual dts fix.
Updated patch attached.

-- 

Grüsse / regards, 
Christian Ehrhardt
IBM Linux Technology Center, Open Virtualization
Subject: [PATCH][dts]: fix pci mem in sequoia dts

From: Christian Ehrhardt <[email-masked]>

This patch is fixing the sequoia.dts device tree file to the values defined
in the 440Epx data sheet from amcc.
That fixes an issue where my graphic card could not initialize because the pci
resource space was not big enough.
The related mail thread about the backgrounds of this has the subject "pci
issue - wrong detection of pci ressources"

Signed-off-by: Christian Ehrhardt <[email-masked]>
---

[diffstat]
 sequoia.dts |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/arch/powerpc/boot/dts/sequoia.dts b/arch/powerpc/boot/dts/sequoia.dts
--- a/arch/powerpc/boot/dts/sequoia.dts
+++ b/arch/powerpc/boot/dts/sequoia.dts
@@ -344,9 +344,13 @@
 			/* Outbound ranges, one memory and one IO,
 			 * later cannot be changed. Chip supports a second
 			 * IO range but we don't use it for now
+			 * From the 440EPx user manual:
+			 * PCI 1 Memory     1 8000 0000     1 BFFF FFFF     1GB
+			 * I/O              1 E800 0000     1 E800 FFFF     64KB
+			 * I/O              1 E880 0000     1 EBFF FFFF     56MB
 			 */
-			ranges = <02000000 0 80000000 1 80000000 0 10000000
-				01000000 0 00000000 1 e8000000 0 00100000>;
+			ranges = <02000000 0 80000000 1 80000000 0 40000000
+				01000000 0 00000000 1 e8000000 0 00010000>;
 
 			/* Inbound 2GB range starting at 0 */
 			dma-ranges = <42000000 0 0 0 0 0 80000000>;